ITR OCR Pull Reports
Introduction
This API is responsible for fetching the ITR OCR Pull and ITR OCR Form26AS reports. These reports are fetched on the basis of requestId that were generated during the ITR OCR Pull create request and ITR OCR Form26AS create request.
You will require an authorization token to use this API. This authorization token will be generated by Signzy for you and will be used in each API call. Please contact [email protected] for this.
Added Authenticated URL with the help of fileKey, an alphanumeric string which will be taken as input, this fileKey will be used while fetching reports, this fileKey will be appended at the end of URL to fetch report.
To access a file, use the URL from the response and append ?key=<your_fileKey>

POST /itr-ocr-fetch-reports
This API retrieves analytics data related to Income Tax Returns (ITR) and Form 26as for a given user using their reference ID.
API details
Endpoint
curl --location 'https://api-preproduction.signzy.app/api/v3/itr/itr-ocr-fetch-reports' \
--header 'Authorization: XXXXXXXXXXXXXXXXXXXXXXXXXX' \
--header 'Content-Type: application/json' \
--data '{
"requestId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
}'Request headers
Name | Value | Required | Description |
|---|---|---|---|
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Sample Response
*When the reports generation are in progress.
{
"result": {
"requestId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"statusMessage": "Request may be in process. Please wait for some time."
}
}
*When the reports are processed.
{
"result": {
"requestId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"jsonDataUrl": "<JSON Persist Link>",
"excelDataUrl": "<Excel Persist Link>",
"statusMessage": "Successfully Completed."
}
}Request body parameters
- When the report generation is in progress.
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result details. |
result.requestId | String | The unique requestId generated for the Pull request. |
result.statusMessage | String | The status message depicting the status of the request. |
- When the reports are processed.
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result details. |
result.requestId | String | The unique requestId generated for the Pull request. |
result.statusMessage | String | The status message depicting the status of the request. |
result.excelDataUrl | String | The Url that holds the excel report. |
result.jsonDataUrl | String | The Url that holds the JSON data. |
Status Codes:
*When the reports generation are in progress.
{
"result": {
"requestId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"statusMessage": "Request may be in process. Please wait for some time."
}
}
*When the reports are processed.
{
"result": {
"requestId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"jsonDataUrl": "<JSON Persist Link>",
"excelDataUrl": "<Excel Persist Link>",
"statusMessage": "Successfully Completed."
}
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!